import React from 'react';
import PropTypes from 'prop-types';
import Section from '../../Section';

const { Column } = Section;

const componentName = 'TabsContent';

const propTypes = {
  tabDirection: PropTypes.oneOf(['column', 'row'])
};

const defaultProps = {
  tabDirection: 'column'
};

const TabsContent = ({ tabDirection, ...props }) => {
  switch (true) {
    case tabDirection === 'column':
      return <Column {...props} />;
    case tabDirection === 'row':
    default:
      return <div {...props} />;
  }
};

TabsContent.componentName = componentName;
TabsContent.propTypes = propTypes;
TabsContent.defaultProps = defaultProps;

export default TabsContent;
